Open CASCADE Technology: MDF_ARDriverSequence Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MDF_ARDriverSequence Class Reference

`#include <MDF_ARDriverSequence.hxx>`

Inheritance diagram for MDF_ARDriverSequence:
[legend]

## Public Member Functions
| MDF_ARDriverSequence ()
| MDF_ARDriverSequence (const MDF_ARDriverSequence &Other)
void | Clear ()
| ~MDF_ARDriverSequence ()
const MDF_ARDriverSequence & | Assign (const MDF_ARDriverSequence &Other)
const MDF_ARDriverSequence & | operator= (const MDF_ARDriverSequence &Other)
void | Append (const Handle< MDF_ARDriver > &T)
void | Append (MDF_ARDriverSequence &S)
void | Prepend (const Handle< MDF_ARDriver > &T)
void | Prepend (MDF_ARDriverSequence &S)
void | InsertBefore (const Standard_Integer Index, const Handle< MDF_ARDriver > &T)
void | InsertBefore (const Standard_Integer Index, MDF_ARDriverSequence &S)
void | InsertAfter (const Standard_Integer Index, const Handle< MDF_ARDriver > &T)
void | InsertAfter (const Standard_Integer Index, MDF_ARDriverSequence &S)
const Handle< MDF_ARDriver > & | First () const
const Handle< MDF_ARDriver > & | Last () const
void | Split (const Standard_Integer Index, MDF_ARDriverSequence &Sub)
const Handle< MDF_ARDriver > & | Value (const Standard_Integer Index) const
const Handle< MDF_ARDriver > & | operator() (const Standard_Integer Index) const
void | SetValue (const Standard_Integer Index, const Handle< MDF_ARDriver > &I)
Handle< MDF_ARDriver > & | ChangeValue (const Standard_Integer Index)
Handle< MDF_ARDriver > & | operator() (const Standard_Integer Index)
void | Remove (const Standard_Integer Index)
void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)
Public Member Functions inherited from TCollection_BaseSequence
Standard_Boolean | IsEmpty () const
| returns True if the sequence <me> contains no elements. More...
Standard_Integer | Length () const
| Returns the number of element(s) in the sequence. Returns zero if the sequence is empty. More...
void | Reverse ()
| Reverses the order of items on <me>. Example: before me = (A B C) after me = (C B A) More...
void | Exchange (const Standard_Integer I, const Standard_Integer J)
| Swaps elements which are located at positions and <J> in <me>. Raises an exception if I or J is out of bound. Example: before me = (A B C), I = 1, J = 3 after me = (C B A) More...

## Additional Inherited Members
Protected Member Functions inherited from TCollection_BaseSequence
| TCollection_BaseSequence ()
| Creation of an empty sequence. More...
void | Clear (const Standard_Address DelNode)
void | PAppend (const Standard_Address Node)
void | PAppend (TCollection_BaseSequence &S)
| Concatenates <S> at the end of <me>. <S> is cleared. Example: before me = (A B C) S = (D E F) after me = (A B C D E F) S = () More...
void | PPrepend (const Standard_Address Node)
void | PPrepend (TCollection_BaseSequence &S)
| Concatenates <S> at the beginning of <me>. <S> is cleared. Example: before me = (A B C) S = (D E F) after me = (D E F A B C) S = () More...
void | PInsertAfter (const Standard_Integer Index, const Standard_Address Node)
void | PInsertAfter (const Standard_Integer Index, TCollection_BaseSequence &S)
| Inserts the sequence <S> in <me> after the position <Index>. <S> is cleared. Raises an exception if the index is out of bound. Example: before me = (A B C), Index = 3, S = (D E F) after me = (A B C D E F) S = () More...
void | PSplit (const Standard_Integer Index, TCollection_BaseSequence &Sub)
| Keeps in <me> the items 1 to <Index>-1 and puts in the items <Index> to the end. Example: before me = (A B C D) ,Index = 3 after me = (A B) Sub = (C D) More...
void | Remove (const Standard_Integer Index, const Standard_Address DelNode)
void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex, const Standard_Address DelNode)
Standard_Address | Find (const Standard_Integer Index) const
| Returns the node at position <index>. More...
Protected Attributes inherited from TCollection_BaseSequence
Standard_Address | FirstItem
Standard_Address | LastItem
Standard_Address | CurrentItem
Standard_Integer | CurrentIndex
Standard_Integer | Size

## Constructor & Destructor Documentation

MDF_ARDriverSequence::MDF_ARDriverSequence | ( |  | ) |

MDF_ARDriverSequence::MDF_ARDriverSequence | ( | const MDF_ARDriverSequence & | Other | ) |

MDF_ARDriverSequence::~MDF_ARDriverSequence | ( |  | ) |
| inline

## Member Function Documentation

void MDF_ARDriverSequence::Append | ( | const Handle< MDF_ARDriver > & | T | ) |

void MDF_ARDriverSequence::Append | ( | MDF_ARDriverSequence & | S | ) |

const MDF_ARDriverSequence& MDF_ARDriverSequence::Assign | ( | const MDF_ARDriverSequence & | Other | ) |

Handle< MDF_ARDriver >& MDF_ARDriverSequence::ChangeValue | ( | const Standard_Integer | Index | ) |

void MDF_ARDriverSequence::Clear | ( |  | ) |

const Handle< MDF_ARDriver >& MDF_ARDriverSequence::First | ( |  | ) | const

void MDF_ARDriverSequence::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle< MDF_ARDriver > & | T
| ) |  |

void MDF_ARDriverSequence::InsertAfter | ( | const Standard_Integer | Index,
|  | MDF_ARDriverSequence & | S
| ) |  |

void MDF_ARDriverSequence::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle< MDF_ARDriver > & | T
| ) |  |

void MDF_ARDriverSequence::InsertBefore | ( | const Standard_Integer | Index,
|  | MDF_ARDriverSequence & | S
| ) |  |

const Handle< MDF_ARDriver >& MDF_ARDriverSequence::Last | ( |  | ) | const

const Handle< MDF_ARDriver >& MDF_ARDriverSequence::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Handle< MDF_ARDriver >& MDF_ARDriverSequence::operator() | ( | const Standard_Integer | Index | ) |
| inline

const MDF_ARDriverSequence& MDF_ARDriverSequence::operator= | ( | const MDF_ARDriverSequence & | Other | ) |
| inline

void MDF_ARDriverSequence::Prepend | ( | const Handle< MDF_ARDriver > & | T | ) |

void MDF_ARDriverSequence::Prepend | ( | MDF_ARDriverSequence & | S | ) |

void MDF_ARDriverSequence::Remove | ( | const Standard_Integer | Index | ) |

void MDF_ARDriverSequence::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |  |

void MDF_ARDriverSequence::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< MDF_ARDriver > & | I
| ) |  |

void MDF_ARDriverSequence::Split | ( | const Standard_Integer | Index,
|  | MDF_ARDriverSequence & | Sub
| ) |  |

const Handle< MDF_ARDriver >& MDF_ARDriverSequence::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- MDF_ARDriverSequence.hxx